using Ardalis.Specification;
using BookHive.Models;

namespace BookHive.Specifications.Loans;

public class GetAvailableBookByIdSpec : Specification<Loan>
{
    public GetAvailableBookByIdSpec(int bookId)
    {
        Query
            .Where(x => x.BookId == bookId && x.ReturnDate == null);
    }
}